

//Include misc functions
document.write("<script src='/user/misc.js' type='text/javascript'></script>");
document.write("<script src='/user/splash.js' type='text/javascript'></script>");


//global variables
var xmlhttp;
var timeout;
var splashDiv;


// form input references
var adminName;
var adminPassword;

var user1Name;
var user1Password;

var user2Name;
var user2Password;

var user3Name;
var user3Password;

var user4Name;
var user4Password;

var user5Name;
var user5Password;

var user6Name;
var user6Password;



// 
window.onload = initialize;

//////////////////////////////////////////////////////////////////////////////
// Asynchronously request settings
function initialize()
{
	xmlhttp = misc_getXmlRequestObject();
	
	adminName= document.getElementById("inputAdminName");
	adminPassword= document.getElementById("inputAdminPass");
	
	user1Name= document.getElementById("inputUser1Name");
	user1Password= document.getElementById("inputUser1Pass");
	
	user2Name= document.getElementById("inputUser2Name");
	user2Password= document.getElementById("inputUser2Pass");
	
	user3Name= document.getElementById("inputUser3Name");
	user3Password= document.getElementById("inputUser3Pass");
	
	user4Name= document.getElementById("inputUser4Name");
	user4Password= document.getElementById("inputUser4Pass");
	
	user5Name= document.getElementById("inputUser5Name");
	user5Password= document.getElementById("inputUser5Pass");
	
	user6Name= document.getElementById("inputUser6Name");
	user6Password= document.getElementById("inputUser6Pass");
	
	
	
	
	

	getPasswords();
}

//////////////////////////////////////////////////////////////////////////////
// Asynchronously request settings
function getPasswords()
{	
	if (xmlhttp!=null){
		xmlhttp.open("GET","/admin/passwords.xml",false);
		xmlhttp.setRequestHeader("If-Modified-Since", "Fri, 31 Dec 1999 23:59:59 GMT"); //forces new data
//		xmlhttp.onreadystatechange = onNetworkSettingsResponse;  
		xmlhttp.send(null);
		timeout = setTimeout(xmlTimeout, 2000);
		
		onPasswordsResponse()
	}else{
		alert("Your browser does not support XMLHTTP.");
	}
}//get Settings

//////////////////////////////////////////////////////////////////////////////
function onPasswordsResponse()
{
	if(xmlhttp.readyState!=4){
		return;
	}

	if(xmlhttp.status == 0 ){
		//Ststus that seems to happen when we close a page with a pending request.
		return;
	}
	
	if(xmlhttp.status!=200){
		alert("Problem retrieving XML data");
		return;
	}

	clearXmlTimeout();
	
	updateFormWithXml();
	
} // on Reponse serttings


//////////////////////////////////////////////////////////////////////////////
function updateFormWithXml()
{
	//Get network element
	var networkElem = xmlhttp.responseXML.documentElement.getElementsByTagName("Network")[0];
		
/* SAVE THIS for when we implemetn DHCP	
	hostName.value = networkElem.getAttribute("hostname");
	
	if( networkElem.getAttribute("dhcp") == "yes" ) {;
		dhcpEnable.checked = true;
	}else{
		dhcpEnable.checked = false;	
	}	
*/	
	ipAddress.value = networkElem.getAttribute("ipaddress");
	subnet.value = networkElem.getAttribute("netmask");
	gateway.value = networkElem.getAttribute("gateway");
	dns1.value = networkElem.getAttribute("dns1");
	dns2.value = networkElem.getAttribute("dns2");
	
	mac.innerHTML  = "MAC " + networkElem.getAttribute("macaddress");

}



//////////////////////////////////////////////////////////////////////////////
function updateXmlWithForm()
{
	//Get network element
	
	var changedSettingsDoc = misc_createXmlDoc();
	var changedSettingsRoot = changedSettingsDoc.createElement("Settings");
	changedSettingsDoc.appendChild(changedSettingsRoot);
	

	var networkElem = changedSettingsDoc.createElement("Network");
	changedSettingsRoot.appendChild(networkElem);
	
	/* SAVE THIS for when we implemetn DHCP	
	networkElem.setAttribute("hostname", hostName.value);
	
	if ( dhcpEnable.checked == true ) {
		networkElem.setAttribute("dhcp", "yes");
	}else{
		networkElem.setAttribute("dhcp", "no");	
	}
*/

	networkElem.setAttribute("ipaddress", ipAddress.value);
	networkElem.setAttribute("netmask", subnet.value );
	networkElem.setAttribute("gateway", gateway.value);
	networkElem.setAttribute("dns1", dns1.value);
	networkElem.setAttribute("dns2", dns2.value);
				
	return changedSettingsDoc;
}


//////////////////////////////////////////////////////////////////////////////
// Asynchronously set global settings
function setPasswords()
{	
	var xmlDoc = updateXmlWithForm();

	if (xmlhttp!=null){
		xmlhttp.open("POST","/admin/set_passwords",true);
		xmlhttp.setRequestHeader("If-Modified-Since", "Fri, 31 Dec 1999 23:59:59 GMT"); //forces new data
		xmlhttp.onreadystatechange = onPasswordsResponse;  //read back settings
		xmlhttp.send(xmlDoc);
		timeout = setTimeout(xmlTimeout, 2000);

	}else{
		alert("Your browser does not support XMLHTTP.");
	}
}//getSample



////////////////////////////////////////////////////////////////////////////////////////////
function xmlTimeout()
{
	splashDiv = getSplash("Mutli-Tracer Busy", "Please wait", document.getElementById('content_holder') );
	splashDiv.id = "splash";
}

////////////////////////////////////////////////////////////////////////////////////////////
function clearXmlTimeout()
{
	clearTimeout(timeout);
	var splash = document.getElementById('splash') ;	
	if( splash != null ){
		document.getElementById('content_holder').removeChild(splash);
	}
}



