document.write("<script src='/user/misc.js' type='text/javascript'></script>");
document.write("<script src='/user/splash.js' type='text/javascript'></script>");

var xmlhttp;
var timeout;
var splashDiv;
var startingSplashDiv;
var exitSplashDiv;

var MCAL_DIALOG_OPTIONS; // = "dialogheight: 300; dialogwidth: 500; resizable:0";
var calDialogArgs = new Array();

// Start by requesting the channel settings so we know which curves to ask for.
window.onload = initialize;
window.onunload = calExit; 

//////////////////////////////////////////////////////////////////////////////
function initialize()
{
	exitSplashDiv= getSplash("Exiting Calibration", "Please wait", document.getElementById('content_holder'));
	exitSplashDiv.id = "busy_splash";
	exitSplashDiv.style.visibility="hidden";

	startingSplashDiv= getSplash("Starting Calibration", "Please wait", document.getElementById('content_holder'));
	startingSplashDiv.id = "busy_splash";
	startingSplashDiv.style.visibility="hidden";

	//used to center 
	MCAL_DIALOG_OPTIONS = "dialogheight: 300; dialogwidth: 500; resizable:0;dialogleft:" + (window.screen.width - 500)/2;
	MCAL_DIALOG_OPTIONS = MCAL_DIALOG_OPTIONS + ";dialogTop:" + (window.screen.height - 300)/2;	

	
	
//	var left = (
//	MCAL_DIALOG_OPTIONS = "resizable:0; dialogheight: 300; dialogwidth: 500; dialogLeft:" + left + ";  dialogTop:"+top;



	xmlhttp = misc_getXmlRequestObject();
	
	disableButtons()
	
	

	startingSplashDiv.style.visibility="visible";
	

	calModeEnable( true );

	startingSplashDiv.style.visibility="hidden";
	
	enableButtons()

}

//////////////////////////////////////////////////////////////////////////////
function calExit()
{

	exitSplashDiv.style.visibility="visible";

	calModeEnable( false );

}

//////////////////////////////////////////////////////////////////////////////
function calModeEnable( enabled )
{
	
	//Get a sample, to use to configure page
	if (xmlhttp != null){
		if( enabled == true ) {
			xmlhttp.open("GET","/admin/cal_mode_on",false); //XML request is blocking (not asynchronous)
		}else{
			xmlhttp.open("GET","/admin/cal_mode_off",false);//XML request is blocking (not asynchronous)
		
		}
		
		xmlhttp.setRequestHeader("If-Modified-Since", "Fri, 31 Dec 1999 23:59:59 GMT"); //forces new data
//		xmlhttp.onreadystatechange = onCalModeResponse;  
		

		timeout = setTimeout(xmlTimeout, 5000);		
		xmlhttp.send(null); //this blocks because of false in "open" command
//alert("xMade it here 5");

		onCalModeResponse();

	}else{
		alert("Your browser does not support XMLHTTP.");
	}
}

//////////////////////////////////////////////////////////////////////////////
function onCalModeResponse()
{
	if(xmlhttp.readyState != 4){
		return;
	}
	
	if(xmlhttp.status == 0 ){
		//Status that seems to happen when we close a page with a pending request.
		return;
	}

	if(xmlhttp.status != 200){
		alert("Problem retrieving XML data");
		return;
	}

	clearXmlTimeout();
}

//////////////////////////////////////////////////////////////////////////////
function calVoltage()
{
	var calDialog;
	var dummy;

	calDialog = window.showModalDialog("cal_dialog.html?type=module_voltage", dummy, MCAL_DIALOG_OPTIONS);

}

//////////////////////////////////////////////////////////////////////////////
function calCurrent()
{
	var calDialog;
	var dummy;
	calDialog = window.showModalDialog("cal_dialog.html?type=module_current", dummy, MCAL_DIALOG_OPTIONS);
}


//////////////////////////////////////////////////////////////////////////////
function calAuxInput()
{
	var arg;
	var dummy;
	calDialog = window.showModalDialog("cal_dialog.html?type=aux_input", dummy, MCAL_DIALOG_OPTIONS);
}



//////////////////////////////////////////////////////////////////////////////
function calClearReport()
{
	
	//Get a sample, to use to configure page
	if (xmlhttp != null){
		xmlhttp.open("GET","/admin/restart_cal_report", true);
		
		xmlhttp.setRequestHeader("If-Modified-Since", "Fri, 31 Dec 1999 23:59:59 GMT"); //forces new data
		xmlhttp.onreadystatechange = onClearReportResponse;  
		xmlhttp.send(null);
		timeout = setTimeout(xmlTimeout, 5000);
	}else{
		alert("Your browser does not support XMLHTTP.");
	}
}

//////////////////////////////////////////////////////////////////////////////
function onClearReportResponse()
{
	
	if(xmlhttp.readyState != 4){
		return;
	}
	
	if(xmlhttp.status == 0 ){
		//Ststus that seems to happen when we close a page with a pending request.
		return;
	}
	
	if(xmlhttp.status != 200){
		alert("Problem retrieving XML data");
		return;
	}
		
	clearXmlTimeout();
}

////////////////////////////////////////////////////////////////////////////////////////////
function disableButtons()
{
	document.getElementById('butVoltage').disabled=true;
	document.getElementById('butCurrent').disabled=true;
	document.getElementById('butAuxInput').disabled=true;
	document.getElementById('butRestart').disabled=true;
}
	
////////////////////////////////////////////////////////////////////////////////////////////
function enableButtons()
{

	document.getElementById('butVoltage').disabled=false;
	document.getElementById('butCurrent').disabled=false;
	document.getElementById('butAuxInput').disabled=false;
	document.getElementById('butRestart').disabled=false;
}



////////////////////////////////////////////////////////////////////////////////////////////
function xmlTimeout()
{
	splashDiv = getSplash("Mutli-Tracer Busy", "Please wait", document.getElementById('content_holder') );
	splashDiv.id = "splash";
}

////////////////////////////////////////////////////////////////////////////////////////////
function clearXmlTimeout()
{
	clearTimeout(timeout);
	var splash = document.getElementById('splash') ;	
	if( splash != null ){
		document.getElementById('content_holder').removeChild(splash);
	}
}

